#pragma once

#ifndef PLATFORM_H
#define PLATFORM_H


/**
	\file
	\brief Contains Platform enumeration.
*/




#include "settings.h"




/*==============================================================================
	Platform enumeration
==============================================================================*/


/// \brief Enumeration over supported platforms.
enum Platform {

	PLATFORM_HOST = 0,    ///< Host platfowm (i.e. CPU + main memory).

#if ( SETTING_OPENCL != 0 )
	PLATFORM_OPENCL    ///< OpenCL platform.
#endif    // SETTING_OPENCL

};




#endif    // PLATFORM_H
